## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.ddl
Class DDLPage

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
                      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
                          org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.ddl.DDLPage

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, IDisablementPart, ISchemaObjectEditorPage, org.eclipse.help.IContextProvider, org.eclipse.ui.forms.editor.IFormPage, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class DDLPage

extends SchemaObjectEditorPage
implements ISchemaObjectEditorPage

The DDL page

Author:
  Idull

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
`SchemaObjectEditorPage.PageForm`

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`UNKNOWN_ITEM_TYPE`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`DDLPage()`
`DDLPage(org.eclipse.ui.forms.editor.FormEditor editor, java.lang.String id, java.lang.String title)`
`DDLPage(java.lang.String id, java.lang.String title)`

Method Summary
`void` `dispose()` Disposes the managed form.
`void` `refresh()` Refresh to display to new DDL
`void` `setActive(boolean active)` Implements the required method by refreshing the form when set active.

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage

`aboutToSave, canLeaveThePage, createPartControl, doSave, doSaveAs, enable, getDatabaseIdentifier, getEditor, getEditorDescriptor, getErrorMsg, getId, getIndex, getManagedForm, getPageDescriptor, getPartControl, getPreferencePageIds, getTitleImage, init, initialize, isActive, isDirty, isEditor, isPageOpened, isSaveAsAllowed, markDirty, menuAboutToShow, modelRegenerated, populateSQLObjects, revert, selectReveal, setEditor, setEditorDescriptor, setFocus, setFocus, setId, setIndex, setPageDescriptor, setPartName, validate, validateAndShowErrors, validateOnline`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
`getContext, getContextChangeMask, getSearchExpression`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`aboutToSave, getDatabaseIdentifier, getEditorDescriptor, getErrorMsg, getPageDescriptor, getPreferencePageIds, isPageOpened, markDirty, menuAboutToShow, modelRegenerated, populateSQLObjects, revert, setEditor, setEditorDescriptor, setFocus, setId, setPageDescriptor, setPartName, validate, validateAndShowErrors, validateOnline`

Methods inherited from interface org.eclipse.ui.forms.editor.IFormPage
`canLeaveThePage, getEditor, getId, getIndex, getManagedForm, getPartControl, initialize, isActive, isEditor, selectReveal, setIndex`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite, init`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.IDisablementPart
`enable`

Constructor Detail

### DDLPage

    public DDLPage()

### DDLPage

    public DDLPage(org.eclipse.ui.forms.editor.FormEditor editor,
                   java.lang.String id,
                   java.lang.String title)

### DDLPage

    public DDLPage(java.lang.String id,
                   java.lang.String title)

Method Detail

### refresh

    public void refresh()

  Refresh to display to new DDL

  Specified by:
    `refresh` in interface `ISchemaObjectEditorPage`
  Overrides:
    `refresh` in class `SchemaObjectEditorPage`

### setActive

    public void setActive(boolean active)

  Description copied from class: `SchemaObjectEditorPage`
  Implements the required method by refreshing the form when set active. Subclasses must call super when overriding this method.

  Specified by:
    `setActive` in interface `org.eclipse.ui.forms.editor.IFormPage`
  Overrides:
    `setActive` in class `SchemaObjectEditorPage`

### dispose

    public void dispose()

  Description copied from class: `SchemaObjectEditorPage`
  Disposes the managed form.

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `SchemaObjectEditorPage`